{
  "name": "peddlers-of-ketran-server",
  "version": "1.0.0",
  "main": "dist/src/app.js",
  "scripts": {
    "start": "export $(cat ../.env | xargs) && node dist/src/app.js",
    "start:legacy": "export $(cat ../.env | xargs) && node app.js",
    "build": "tsc -p tsconfig.json",
  "start:dev": "ts-node-dev --respawn --transpile-only --watch routes src/app.ts",
    "list-games": "ts-node-dev --transpile-only tools/list-games.ts",
    "import-games": "ts-node-dev --transpile-only tools/import-games-to-db.ts",
    "test": "jest",
    "type-check": "tsc -p tsconfig.json --noEmit"
  },
  "author": "James Ketrenos <james_settlers@ketrenos.com>",
  "license": "MIT",
  "private": true,
  "dependencies": {
    "bluebird": "^3.5.5",
    "body-parser": "^1.19.2",
    "config": "^3.1.0",
    "connect-sqlite3": "^0.9.11",
    "cookie-parser": "^1.4.6",
    "core-js": "^3.21.1",
    "express": "^4.17.3",
    "express-session": "^1.17.1",
    "express-ws": "^5.0.2",
    "fast-deep-equal": "^3.1.3",
    "handlebars": "^4.7.6",
    "moment": "^2.24.0",
    "morgan": "^1.9.1",
    "node-fetch": "^2.6.0",
    "node-gzip": "^1.1.2",
    "nodemailer": "^6.3.0",
    "random-words": "^1.1.2",
    "sequelize": "^5.21.6",
    "typeface-roboto": "0.0.75",
    "ws": "^8.5.0"
  },
  "devDependencies": {
    "@types/bluebird": "^3.5.38",
    "@types/config": "^3.3.1",
    "@types/connect-sqlite3": "^0.9.3",
    "@types/cookie-parser": "^1.4.4",
    "@types/express": "^4.17.17",
    "@types/express-session": "^1.17.7",
    "@types/express-ws": "^3.0.1",
    "@types/handlebars": "^4.1.0",
    "@types/jest": "^29.5.0",
    "@types/moment": "^2.13.0",
    "@types/morgan": "^1.9.5",
    "@types/node": "^20.0.0",
    "@types/node-fetch": "^2.6.4",
    "@types/node-gzip": "^1.1.0",
    "@types/nodemailer": "^6.4.8",
    "@types/random-words": "^1.1.0",
    "@types/sequelize": "^4.28.15",
    "@types/supertest": "^2.0.12",
    "@types/ws": "^8.5.5",
    "jest": "^29.7.0",
    "supertest": "^6.3.3",
    "ts-jest": "^29.1.0",
    "ts-node-dev": "^2.0.0",
    "typescript": "^5.0.0"
  },
  "jest": {
    "preset": "ts-jest"
  },
  "repository": {
    "type": "git",
    "url": "git@git.ketrenos.com:jketreno/peddlers-of-ketran"
  }
}
